import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:tic_saas_sdk/tic_saas_sdk.dart';

void main() {
  const MethodChannel channel = MethodChannel('tic_saas_sdk');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '1.0.0';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getVersion', () async {
    expect(await TicSaasSdk.getVersion, '1.0.0');
  });
}
